#pragma once

#include "DllDefines.h"

void UTILITYDLL DebugLog(LPSTR lpFormat, ...);
void UTILITYDLL DebugLog(bool bTraceData, LPSTR lpFormat, ...);
void UTILITYDLL DebugLog(LPCTSTR lpName, bool bTraceData, LPSTR lpFormat, ...);

void UTILITYDLL DebugLogTiming(LPSTR lpFormat, ...);
void UTILITYDLL DebugLogTiming(bool bTraceData, LPSTR lpFormat, ...);
void UTILITYDLL DebugLogTiming(LPCTSTR lpName, bool bTraceData, LPSTR lpFormat, ...);

void UTILITYDLL StartDebugLog();
void UTILITYDLL StopDebugLog();

void UTILITYDLL StartDebugTimingLog();
void UTILITYDLL StopDebugTimingLog();

bool UTILITYDLL IsDebugLogStarted();
bool UTILITYDLL IsDebugLogTimingStarted();

// All GUI Activities Events Log
void UTILITYDLL GUIEventLog(LPSTR lpFormat, ...);

void UTILITYDLL StartGUIEventLog();
void UTILITYDLL StopGUIEventLog();